commit:     e516e888c1f4db421bfeab4f691a935deab16b55
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  7 16:15:52 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Jan  7 16:16:32 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e516e888

dev-ruby/tty-command: avoid flaky spec

Closes: https://bugs.gentoo.org/947159
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/tty-command/tty-command-0.10.1-r1.ebuild | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/dev-ruby/tty-command/tty-command-0.10.1-r1.ebuild 
b/dev-ruby/tty-command/tty-command-0.10.1-r1.ebuild
index 070f71a6b410..c5ea5172bbee 100644
--- a/dev-ruby/tty-command/tty-command-0.10.1-r1.ebuild
+++ b/dev-ruby/tty-command/tty-command-0.10.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -21,7 +21,6 @@ 
SRC_URI="https://github.com/piotrmurach/tty-command/archive/v${PV}.tar.gz -> ${P
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~riscv"
-IUSE=""
 
 ruby_add_rdepend ">=dev-ruby/pastel-0.8:0"
 
@@ -29,4 +28,8 @@ all_ruby_prepare() {
        echo '-rspec_helper' > .rspec || die
 
        sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+       # Avoid flaky spec that fails with unimportant output differences
+       sed -e '/logs phased output in pseudo terminal mode/ s/it/xit/' \
+               -i spec/unit/pty_spec.rb || die
 }

Reply via email to